# Mark email as verified

Indicates that the user's email address was verified externally. A user's email address is automatically marked as verified when used in a Transmit authentication or verification flow. If the email address is a secondary email, the request can also be used to set it as the user's primary email (by setting `change_to_primary` to `true`). **Required permissions**: `apps:edit`, `[appId]:edit`, `users:edit`.

Endpoint: POST /v1/users/{user_id}/emails/{email}/verify
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    The ID of the user that should be updated

  - `email` (string, required)
    The email of the user that should be verified

## Request fields (application/json):

  - `change_to_primary` (boolean)

## Response 202:

  - `202` (unknown)
    User email has been verified

## Response 404 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 404

